services:
  shrimp-say:
    image: anssi/fcsc2025-web-shrimp-say:latest
    ports:
      - "8000:80"

  shrimp-say-bot:
    image: anssi/fcsc2025-web-shrimp-say-bot:latest
    depends_on:
      - shrimp-say
    environment:
      - ENV PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true
      - ENV CHALLENGE_HOST=http://shrimp-say/
      - ENV FLAG=FCSC{f6e865cb389605d91470af3b8555e4535463a1a56157c16c858fa8e9c5ff4513}
    ports:
      - "4000:4000"
